Gameplay related mods and mini-mods, which can be merged in with ZRP or other bigger mods or modpacks.

Report content Upgrade Suit 2.0
Filename
Upgrade_Suit_2.0_-_Exoz.zip
Category
Full Version
Uploader
exostalker
Date
Size
2.37mb (2,481,730 bytes)
Downloads
1,392 (1 today)
Embed Button
Mirrors
Download now
Description

This mod let's you upgrade and repair suits in game, at all traders. You can change it to your preference, and include it in your mods. Original 1.0 author: strelok53 aka Deef. Edited by (2.0): Exostalker Don't forget to report any bugs/errors/crashes, if you experience them!

Preview
Upgrade Suit 2.0
Post comment Comments
headbone
headbone

Is this compatible with the Complete Mod?

Reply Good karma Bad karma+1 vote
bibitka
bibitka

Im only using this mod in 1.00005 patch but it crashes when i load a safe,any idea why,and how to fix it?

Reply Good karma Bad karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

Here is some additional info (tried to edit my original comment but ran out of time gathering more info):

The CTD happens after "CLIENT: Synchronizing" during the loading process. The meat of the actual error is this:

Exception reason:
XR_3DA.exe caused BREAKPOINT in module "F:\Program Files (x86)\THQ\S.T.A.L.K.E.R. - Shadow of Chernobyl\bin\xrCore.dll" at 0023:00877CB5, xrDebug::backend()+165 byte(s)

Registers:
EAX=03BA7E80 EBX=00188E94 ECX=03BA7E88 EDX=03BA7F71
ESI=008A22A8 EDI=744E1782 FLG=00000216
EBP=00188E28 ESP=00187E20 EIP=00877CB5
CS=0023 DS=002B SS=002B ES=002B FS=0053 GS=002B

Stack Trace:
0023:005F7CB5 xrDebug::backend()+165 byte(s)
0023:005EACD0 VerifyPath()+208 byte(s)
0023:348EBDC0
0023:0060F8F8 IReaderBase<CStreamReader>::`vftable'()+4552 byte(s)
0023:02C3F608

Everything in the stack trace points to the xrCore.dll file for the path, in my case F:\Program Files (x86)\THQ\S.T.A.L.K.E.R. - Shadow of Chernobyl\bin

Reply Good karma Bad karma0 votes
exostalker Author
exostalker

Could you specify, what exactly are you doing/repairing/upgrading when this happens? I just tried it, and upgraded, repaired a lot of stuff, and the save game loaded just fine.

I'm testing on 1.0004 and not 5th patch, so that might be causing the whole thing.

Reply Good karma+1 vote
exostalker Author
exostalker

Okay, now I tested it with 5th patch, and of course it crashes. Change this line in system.ltx:
current_server_entity_version = 6
to:
current_server_entity_version = 7

That will make it work with 5th patch. if you use mods that are not specifically designed for the patch that you use, you always need to change this!

Also, when you are done with it, you need to start a new game.

Reply Good karma+1 vote
Post a comment

You are not logged in, your comment will be anonymous unless you join the community. Or sign in with your social account:

Icon
S.T.A.L.K.E.R. Shadow of Chernobyl
Creator
exostalker
Contact
Send Message
Release date
Mod watch
Start tracking
Download
Browse
Downloads
MD5 Hash
d41d8cd98f00b204e9800998ecf8427e
Share
Related Games
S.T.A.L.K.E.R. Shadow of Chernobyl
S.T.A.L.K.E.R. Shadow of Chernobyl First Person Shooter